Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class BinaryMemoryCalculator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.SimpleMemoryCalculator
com.tangosol.net.cache.BinaryMemoryCalculator`

All Implemented Interfaces:
  ConfigurableCacheMap.UnitCalculator, OldCache.UnitCalculator

      public class BinaryMemoryCalculator

extends SimpleMemoryCalculator

A UnitCalculator implementation that weighs a cache entry based upon the amount of physical memory (in bytes) required to store the entry.

This implementation can only determine an accurate entry size if both the entry key and value are `Binary` objects; otherwise, an exception will be thrown during the unit calculation.

Author:
  jh 2005.12.14

Field Summary
`static BinaryMemoryCalculator` | `INSTANCE` Singleton BinaryMemoryCalculator instance.

Fields inherited from class com.tangosol.net.cache.SimpleMemoryCalculator
`MAP_FIXED_SIZES, SIZE_BASIC_OBJECT, SIZE_BIGDECIMAL, SIZE_BIGINTEGER, SIZE_BINARY, SIZE_BOOLEAN, SIZE_BYTE, SIZE_CHARACTER, SIZE_DATE, SIZE_DOUBLE, SIZE_ENTRY, SIZE_FLOAT, SIZE_INTEGER, SIZE_LONG, SIZE_OBJECT, SIZE_OBJECT_REF, SIZE_SHORT, SIZE_STRING, SIZE_TIMESTAMP`

Constructor Summary
`BinaryMemoryCalculator()`

Method Summary
`int` | `calculateUnits(java.lang.Object oKey, java.lang.Object oValue)` Calculate the approximate number of bytes required to cache the given Binary key and value.
`static void` | `main(java.lang.String[] asArg)` Unit test.

Methods inherited from class com.tangosol.net.cache.SimpleMemoryCalculator
`calculateShallowSize, getName, padMemorySize, sizeOf, sizeOf`

Field Detail

### INSTANCE

    public static final BinaryMemoryCalculator INSTANCE

  Singleton BinaryMemoryCalculator instance.

Constructor Detail

### BinaryMemoryCalculator

    public BinaryMemoryCalculator()

Method Detail

### calculateUnits

    public int calculateUnits(java.lang.Object oKey,
                              java.lang.Object oValue)

  Calculate the approximate number of bytes required to cache the given Binary key and value.
  Specified by:
    `calculateUnits` in interface `ConfigurableCacheMap.UnitCalculator`
  Overrides:
    `calculateUnits` in class `SimpleMemoryCalculator`
  Parameters:
    `oKey` - the key
    `oValue` - the value
  Returns:
    the number of bytes of memory necessary to cache the given key and value

### main

    public static void main(java.lang.String[] asArg)

  Unit test. Usage:

       java com.tangosol.net.cache.BinaryMemoryCalculator

  Parameters:
    `asArg` - command line arguments

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.